///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class CreateOrderResponse {
/*
{
  "userUuid": "string",
  "couponIds": [
    1
  ],
  "paymentType": "ONLINE",
  "paymentDate": 0,
  "status": "WAITING_PAYMENT",
  "note": "string",
  "code": "string"
}
*/

  String? userUuid;
  List<int?>? couponIds;
  String? paymentType;
  int? paymentDate;
  String? status;
  String? note;
  String? code;
  int? id;

  CreateOrderResponse({
    this.userUuid,
    this.couponIds,
    this.paymentType,
    this.paymentDate,
    this.status,
    this.note,
    this.code,
    this.id,
  });
  CreateOrderResponse.fromJson(Map<String, dynamic> json) {
    userUuid = json['userUuid']?.toString();
    if (json['couponIds'] != null) {
      final v = json['couponIds'];
      final arr0 = <int>[];
      v.forEach((v) {
        arr0.add(v.toInt());
      });
      couponIds = arr0;
    }
    paymentType = json['paymentType']?.toString();
    paymentDate = json['paymentDate']?.toInt();
    status = json['status']?.toString();
    note = json['note']?.toString();
    code = json['code']?.toString();
    id = json['id']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['userUuid'] = userUuid;
    if (couponIds != null) {
      final v = couponIds;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v);
      });
      data['couponIds'] = arr0;
    }
    data['paymentType'] = paymentType;
    data['paymentDate'] = paymentDate;
    data['status'] = status;
    data['note'] = note;
    data['code'] = code;
    data['id'] = id;
    return data;
  }
}
